#
# spec file for package timezone-formula
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Specfile_guidelines

Name:           timezone-formula
Version:        0.1
Release:        220400.1.26.uyuni2
Summary:        Example timezone Salt Formula for SUSE Manager
Url:            https://github.com/saltstack-formulas/timezone-formula
Requires:       salt-master
License:        GPL-3.0
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

# This would be better with a macro that just strips "-formula" from {name}
%define fname timezone

%description
Example Salt Formula for SUSE Manager. Sets up the timezone.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/usr/share/susemanager/formulas/states/%{fname}
mkdir -p %{buildroot}/usr/share/susemanager/formulas/metadata/%{fname}
cp -R %{fname} %{buildroot}/usr/share/susemanager/formulas/states
cp form.yml metadata.yml pillar.example %{buildroot}/usr/share/susemanager/formulas/metadata/%{fname}

%files
%defattr(-,root,root,-)
%doc README.rst
/usr/share/susemanager

%changelog
* Tue Oct 25 2016 mantel@suse.de
- add some more choices for the timezone selection
* Thu Oct 20 2016 mantel@suse.de
- add needed metadata files
- require salt-master
* Wed Oct 19 2016 mantel@suse.de
- initial revision
